## Dublin City Centre Pedestrian Footfall  
Published by: Dublin City Council  
Licensed under: Creative Commons Attribution 4.0  

This data comes from the SmartDublin project.

Description for 2019 & 2020 data: "Pedestrian footfall counts of people walking past certain locations in Dublin city centre. These locations include: O'Connell St (Outside Pennys), O'Connell St (outside Clerys), Mary Street, Capel Street, Aston Quay, Grafton Street (outside CompuB), Talbot Street (North), Talbot Street (South), D'Olier Street/ Burgh Quay, Dawson Street, Dame Street, O'Connell St/ Parnell St (at AIB), Grafton Street/ Nassau Street/ Suffolk Street, College Green (Bank Of Ireland), Henry Street, Westmoreland Street (East), Westmoreland Street (West), Liffey Street, Grafton Street, Bachelors Walk, College Green (at Church Lane), College Green (Dame St Side). Data from passersby is counted and logged every 15 minutes, 24 hours per day, 7 days per week."

Description for pre 2019 data: "Pedestrian footfall counts Pedestrian count data from 13 cameras with high definition sensors on key shopping streets of Dublin City Centre. There is data from 6 of the cameras going back to 2007. 7 of the cameras are more recent additions. Cameras were recalibrated in January/February 2012 to show pedestrian directional flow data 'in' and 'out'. Note separate worksheet tabs for each week of the year, shown hourly by entrance at cameras around the major streets of the city centre."

Dates included in this assignment: 2008, 2010, 2019, 2020, 2021 (to September).  

The output should present pedestrian counts for each day *per hour* with Time as the first column then a column for each of the count locations.

Note: ignore the "Out" data for 2008, 2010 & 2021 as it's only available from one location. Use the "In" data as the count.

Suggestion: The 2008 file is probably the trickiest so start with the others.

**These files are your raw source files and should never be changed.**
